Skip to content

Evaluation references laboratory workbenches

GET /api/v1/laboratory/workbenches/{workbenchId}/evaluation-references: request fields and declared response contract.

GET/api/v1/laboratory/workbenches/{workbenchId}/evaluation-references

Authorization
PropertyValue
Permissionlaboratory.method.read
Workspace scoperequired
Scope targetworkspace

Parameters

Path parameters
FieldTypeRequiredNullableDefault
workbenchIdstringrequirednon-null—
Query parameters
FieldTypeRequiredNullableDefault
revisionintegerrequirednon-null—
captureTraceIdstringoptionalnon-null—

Response

200

Response fields
FieldTypeRequiredNullableDefault
dataobjectrequirednon-null—
data.state"ready" | "unavailable"requirednon-null—
data.reasonstringoptionalnon-null—
data.workbenchobjectoptionalnon-null—
data.workbench.idstringrequirednon-null—
data.workbench.revisionintegerrequirednon-null—
data.workbench.titlestringrequirednon-null—
data.suitesarrayrequirednon-null—
data.replayCapturesarrayoptionalnon-null—
data.inputsarrayrequirednon-null—

Declared failures

Declared failures
PropertyValue
ACCESS_DENIED403 — not retryable
CORE_ERROR500 — not retryable
GOVERNANCE_DENIED403 — not retryable
NOT_FOUND404 — not retryable
SETUP_REQUIRED503 — not retryable
VALIDATION_ERROR400 — not retryable
VALIDATION_INPUT_ERROR400 — not retryable

Readback

This method returns the current state it read.

  • laboratory.workbenches.evaluationReferences

Request example

Schematic only. Replace placeholders with real values and include all required nested fields.

GET /api/v1/laboratory/workbenches/{workbenchId}/evaluation-references?revision=0 HTTP/1.1
Authorization: Bearer <token>
x-merulan-workspace-id: <workspace-id>